define([
    'underscore',
    'uiRegistry',
    'Magento_Ui/js/form/element/select'
], function (_, uiRegistry, select) {
    'use strict';

    return select.extend({

        //BEEH-92
        setDifferedFromDefault: function(value) {
            //Value undefined means that is called form display_on switcher config
            if (!value){
                this.value('specific');
            }
        }
    });
});
